Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		ttf2pt1
Version:	3.4.4
Release:	2
License:	GNU/GPL 
URL:		http://ttf2pt1.sourceforge.net/
Group:		Text Tools
Source0:	%{name}-%{version}.tgz
Patch0:		%{name}-%{version}-makefile.patch
Patch1:		%{name}-%{version}-freetype2.patch
Patch2:		%{name}-%{version}-manpage.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	ttf2pt1 is a True Type Font to Postscript Type 1 Converter.
BuildRequires:	freetype-devel

%description
ttf2pt1 is a True Type Font to Postscript Type 1 Converter.
For more details see: http://ttf2pt1.sourceforge.net/

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -makefile
%patch1 -p1 -b -freetype2
%patch2 -p1 -b -manpage

%build
make all

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 ttf2pt1 $RPM_BUILD_ROOT%{_bindir}/ttf2pt1

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -p -m 755 t1asm $RPM_BUILD_ROOT%{_sbindir}/t1asm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/{maps,encodings}
install -p -m 644 maps/*.map $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/maps

cp -R encodings/* $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/encodings/
find $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/encodings/ -type f -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/encodings/ -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_datadir}/ttf2pt1/encodings/ -name "README*" -exec rm {} \;

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
sed 's|TTF2PT1_BINDIR|%{_bindir}|;s|TTF2PT1_LIBXDIR|%{_sbindir}|;s|TTF2PT1_DOCDIR|%{_docdir}/%{name}-%{version}|;s|TTF2PT1_SHAREDIR|%{_datadir}/ttf2pt1|' ttf2pt1.1 > $RPM_BUILD_ROOT%{_mandir}/man1/ttf2pt1.1
chmod 644 $RPM_BUILD_ROOT%{_mandir}/man1/ttf2pt1.1


%files
%defattr(-,root,root)
%doc README README.html
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 3.4.4-2
- altered group
* Sat Jun 11 2005 Christian Wasem <wasem@ccux-linux.de> 3.4.4-1
- Initial Release  
